import { Controller, Inject, Get, Param } from "@midwayjs/core";
import { PartsService } from "../service/parts.service";
import { RF } from "../response/CustomerResponse";
import { get } from "lodash";

@Controller('/zjsw', { tagName: '资质荣誉' })
export class ZjswController {
  @Inject()
  service: PartsService;

  @Get('/:type', { routerName: '资质荣誉各详情' })
  async zjsw(@Param('type') type: string) {
    const configList = [
      // 客服中心
      { channel_id: 199, type: 'zjswkfzx' },
      // 水务集团
      { channel_id: 200, type: 'zjswswjt' },
      // 信息中心
      { channel_id: 201, type: 'zjswxxzx' },
      // 党委工作部
      { channel_id: 202, type: 'zjswdwgzb' },
      // 朝阳分公司
      { channel_id: 203, type: 'zjswcyfgs' },
      // 第一净水厂
      { channel_id: 204, type: 'zjswdyjsc' },
      // 第二净水厂
      { channel_id: 205, type: 'zjswdejsc' },
    ]
    const config = configList.find(f => f.type === type)
    if (!config) return { data: null }
    const { channel_id } = config
    const data = await this.service.channelDetail(channel_id)
    let newData = {}
    if (data) {
      newData = {
        channel_id,
        id: channel_id,
        title: get(data, 'channel_name'),
        txt: get(data, 'txt.txt')
      }
      return RF.success(newData);
    }
  }
}