
import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_channel_ext', { comment: 'CMS栏目内容表' })
export class JcChannelExt {
  @PrimaryColumn()
  channel_id: number;
  @Column({ comment: '名称' })
  channel_name: string;

  @Column({ comment: '终审级别' })
  final_step: number;
  @Column({ comment: '审核后(1:不能修改删除;2:修改后退回;3:修改后不变)' })
  after_check: number;

  @Column({ comment: '是否栏目静态化' })
  is_static_channel: string;
  @Column({ comment: '是否内容静态化' })
  is_static_content: string;
  @Column({ comment: '是否使用目录访问' })
  is_access_by_dir: string;
  @Column({ comment: '是否使用子栏目列表' })
  is_list_child: string;
  @Column({ comment: '每页多少条记录' })
  page_size: number;

  @Column({ comment: '栏目页生成规则' })
  channel_rule: string;
  @Column({ comment: '内容页生成规则' })
  content_rule: string;
  @Column({ comment: '外部链接' })
  link: string;
  @Column({ comment: '栏目页模板' })
  tpl_channel: string;
  @Column({ comment: '内容页模板' })
  tpl_content: string;
  @Column({ comment: '缩略图' })
  title_img: string;
  @Column({ comment: '内容图' })
  content_img: string;

  @Column({ comment: '内容是否有缩略图' })
  has_title_img: number;
  @Column({ comment: '内容是否有内容图' })
  has_content_img: number;
  @Column({ comment: '内容标题图宽度' })
  title_img_width: number;
  @Column({ comment: '内容标题图高度' })
  title_img_height: number;

  @Column({ comment: '内容内容图宽度' })
  content_img_width: number;
  @Column({ comment: '内容内容图高度' })
  content_img_height: number;
  @Column({ comment: '评论(0:匿名;1:会员一次;2:关闭,3会员多次)' })
  comment_control: number;
  @Column({ comment: '顶踩(true: 开放;false: 关闭) ' })
  allow_updown: number;
  @Column({ comment: '是否新窗口打开' })
  is_blank: number;
  @Column({ comment: 'TITLE' })
  title: string;
  @Column({ comment: 'KEYWORDS' })
  keywords: string;
  @Column({ comment: 'DESCRIPTION' })
  description: string;
  @Column({ comment: '分享(true:开放;false:关闭)' })
  allow_share: number;
  @Column({ comment: '评分(true:开放;false:关闭)' })
  allow_score: number;
  @Column({ comment: '手机栏目页模板' })
  tpl_mobile_channel: string;
}
