
import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_comment', { comment: 'CMS评论表' })
export class JcComment {
  @PrimaryColumn()
  comment_id: number;
  @Column({ comment: '评论用户ID' })
  comment_user_id: number;
  @Column({ comment: '回复用户ID' })
  reply_user_id: number;
  @Column({ comment: '内容ID' })
  content_id: number;
  @Column({ comment: '站点ID' })
  site_id: number;
  @Column({ comment: '评论时间' })
  create_time: Date;
  @Column({ comment: '回复时间' })
  reply_time: string;
  @Column({ comment: '支持数' })
  ups: number;
  @Column({ comment: '反对数' })
  downs: number;
  @Column({ comment: '是否推荐' })
  is_recommend: number;
  @Column({ comment: '是否审核' })
  is_checked: number;
  @Column({ comment: '评分' })
  score: number;
  @Column({ comment: '父级评论' })
  parent_id: number;
  @Column({ comment: '回复数' })
  reply_count: number;
}
