import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_content', { comment: 'CMS内容表' })
export class JcContent {
  @PrimaryColumn()
  content_id: number;
  @Column({ comment: '栏目ID' })
  channel_id: number;
  @Column({ comment: '用户ID' })
  user_id: number;
  @Column({ comment: '属性ID' })
  type_id: number;
  @Column({ comment: '模型ID' })
  model_id: number;
  @Column({ comment: '站点ID' })
  site_id: number;
  @Column({ comment: '排序日期' })
  sort_date: Date;

  @Column({ comment: '固顶级别' })
  top_level: number;
  @Column({ comment: '是否有标题图' })
  has_title_img: number;
  @Column({ comment: '是否推荐' })
  is_recommend: number;
  @Column({ comment: '状态(0:草稿;1:审核中;2:审核通过;3:回收站;4:投稿;5:归档)' })
  status: number;
  @Column({ comment: '日访问数' })
  views_day: number;
  @Column({ comment: '日评论数' })
  comments_day: number;
  @Column({ comment: '日下载数' })
  downloads_day: number;
  @Column({ comment: '日顶数' })
  ups_day: number;
  @Column({ comment: '得分' })
  score: number;
  @Column({ comment: '推荐级别' })
  recommend_level: number;
}
