import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity('jc_content_ext', { comment: 'CMS内容扩展表' })
export class JcContentExt {
  @PrimaryColumn()
  content_id: number;
  @Column({ comment: '标题' })
  title: string;
  @Column({ comment: '简短标题' })
  short_title: string;
  @Column({ comment: '作者' })
  author: string;
  @Column({ comment: '来源' })
  origin: string;
  @Column({ comment: '来源链接' })
  origin_url: string;
  @Column({ comment: '描述' })
  description: string;
  @Column({ comment: '发布日期' })
  release_date: Date;
  @Column({ comment: '媒体路径' })
  media_path: string;
  @Column({ comment: '媒体类型' })
  media_type: string;
  @Column({ comment: '标题颜色' })
  title_color: string;
  @Column({ comment: '是否加粗' })
  is_bold: number;
  @Column({ comment: '标题图片' })
  title_img: string;
  @Column({ comment: '内容图片' })
  content_img: string;
  @Column({ comment: '类型图片' })
  type_img: string;
  @Column({ comment: '外部链接' })
  link: string;
  @Column({ comment: '指定模板' })
  tpl_content: string;
  @Column({ comment: '需要重新生成静态页' })
  need_regenerate: number;
  @Column({ comment: '手机内容页模板' })
  tpl_mobile_content: string;
  @Column({ comment: '固顶到期日期' })
  toplevel_date: Date;
  @Column({ comment: '归档日期' })
  pigeonhole_date: Date;
}
